> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/basketball/basic-data/real-time-lineup-and-player-data.md).

# Real-time lineup & player data

## Real-time lineup & player data

> Return the lineup and player data of the matches within 120 minutes from now(full update)\<br/>ps: The match data beyond 120 minutes is updated and will be returned synchronously\<br/>Suggest the request frequency: 2s/time

```json
{"openapi":"3.0.1","info":{"title":"Basketball API","version":"1.0.251028"},"tags":[{"name":"BASIC DATA","description":"BASIC DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/basketball/match/lineup_live":{"get":{"tags":["BASIC DATA"],"description":"Return the lineup and player data of the matches within 120 minutes from now(full update)<br/>ps: The match data beyond 120 minutes is updated and will be returned synchronously<br/>Suggest the request frequency: 2s/time","summary":"Real-time lineup & player data","operationId":"getMatchLineupLive","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","description":"Real-time data list","items":{"$ref":"#/components/schemas/MatchLineupLive"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchLineupLive":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"players":{"$ref":"#/deps/schemas/LivePlayer"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"LivePlayer":{"type":"array","description":"Lineup field description<br/>Two-pointers made = Hits - Three-pointers made<br/>Two-point shots = Shots - Three-point shots<br/>example: [[[\"e4wyrn1t8jjq86p\",\"J.J. Barea\",\"https://cdn.sportnanoapi.com/basketball/player/143a4b49049f75c3f7ce5e5275c0d26f.png\",\"5\",\"27^1-9^1-5^0-0^0^7^7^4^0^0^1^2^+2^3^1^0^1\"]],[],\"0^37-86^9-30^11-19^7^39^46^24^12^4^13^18^0^94\",\"0^33-89^9-34^10-15^10^44^54^20^8^2^16^15^0^85\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n| `1` | Nested array; see details below | Array |\n| `2` | Home team data: (Compatible ignore)^Hits-Shots^Three-pointers made-Three-point shots^Free throws made-Free throw shots^Offensive rebound^Defensive rebound^Total rebounds^Assists^Steals^Blocks^Number of errors^Individual fouls^(Compatible ignore)^Score | String |\n| `3` | Away team data: (Compatible ignore)^Hits-Shots^Three-pointers made-Three-point shots^Free throws made-Free throw shots^Offensive rebound^Defensive rebound^Total rebounds^Assists^Steals^Blocks^Number of errors^Individual fouls^(Compatible ignore)^Score | String |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Nested array; see details below | Array |\n\n**Index `0[0]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0][0]` | Home team player id | String |\n| `0[0][1]` | player name | String |\n| `0[0][2]` | player logo | String |\n| `0[0][3]` | Jersey number | String |\n| `0[0][4]` | Duration of presence^Hits-Shots^Three-pointers made-Three-point shots^Free throws made-Free throw shots^Offensive rebound^Defensive rebound^Total rebounds^Assists^Steals^Blocks^Number of errors^Individual fouls^+/- value^Score^Whether to play (1-to play, 0-not to play)^Whether on the field (0-on the field, 1-not on the field) (used in the game)^Whether it is a substitute (1-substitute, 0-starter) | String |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Nested array; see details below | Array |\n\n**Index `1[0]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0][0]` | Away team player id | String |\n| `1[0][1]` | player name | String |\n| `1[0][2]` | player logo | String |\n| `1[0][3]` | Jersey number | String |\n| `1[0][4]` | Duration of presence^Hits-Shots^Three-pointers made-Three-point shots^Free throws made-Free throw shots^Offensive rebound^Defensive rebound^Total rebounds^Assists^Steals^Blocks^Number of errors^Individual fouls^+/- value^Score^Whether to play (1-to play, 0-not to play)^Whether on the field (0-on the field, 1-not on the field) (used in the game)^Whether it is a substitute (1-substitute, 0-starter) | String |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/basketball/basic-data/real-time-lineup-and-player-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
